Package org.zkoss.zul

## Class Row.ExtraCtrl

- java.lang.Object
- - org.zkoss.zk.ui.HtmlBasedComponent.ExtraCtrl
  - - org.zkoss.zul.Row.ExtraCtrl

- All Implemented Interfaces:
    `PrologAllowed`, `LoadStatus`
  Enclosing class:
    Row

      protected class Row.ExtraCtrl
      extends HtmlBasedComponent.ExtraCtrl
      implements LoadStatus

  A utility class to implement `HtmlBasedComponent.getExtraCtrl()`. It is used only by component developers.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `ExtraCtrl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isLoaded()` | Returns whether the on-demand-loading item is loaded.
    `void` | `setIndex​(int index)` | Sets the index of the loaded item (so client known row's index).
    `void` | `setLoaded​(boolean loaded)` | Sets whether the on-demand-loading item is loaded.

    - ### Methods inherited from class org.zkoss.zk.ui.HtmlBasedComponent.ExtraCtrl

      `setPrologContent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExtraCtrl

          protected ExtraCtrl()

  - ### Method Detail

    - #### isLoaded

          public boolean isLoaded()

      Description copied from interface: `LoadStatus`
      Returns whether the on-demand-loading item is loaded.
      Specified by:
        `isLoaded` in interface `LoadStatus`
      Returns:
        loaded true to set the item as loaded.

    - #### setLoaded

          public void setLoaded​(boolean loaded)

      Description copied from interface: `LoadStatus`
      Sets whether the on-demand-loading item is loaded.
      Specified by:
        `setLoaded` in interface `LoadStatus`
      Parameters:
        `loaded` - true to set the item as loaded.

    - #### setIndex

          public void setIndex​(int index)

      Description copied from interface: `LoadStatus`
      Sets the index of the loaded item (so client known row's index).
      Specified by:
        `setIndex` in interface `LoadStatus`
      Parameters:
        `index` - the loaded item